<?php
namespace Teknisa\PLA\Modules\Medicao\Controllers;

use Zeedhi\Framework\DTO;

class Pla02000SearchRequisicao extends \Teknisa\GER\Controllers\TeknisaCrud {

	protected $util;
    protected $dataSourceName = "pla02000_searchrequisicao";
    protected $parameterBagColumns = array(
    	"NRORG",
		"CDFILIAL",
		"DTPROCESSA"
	);

	public function __construct($crudService, $parameterBag, $util) {
		$this->crudService = $crudService;
		$this->parameterBag = $parameterBag;
		$this->util = $util;
	}

	public function find(DTO\Request\Filter $request, DTO\Response $response) {

		$dtprocessa = $this->util->retornaDataProcessamento();
		$filterCriteria = $request->getFilterCriteria();
		$filterCriteria->addCondition("DTPROCESSA", $dtprocessa);
		parent::find($request, $response);
	}
}